# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolatorDVec4 Class Reference

Interpolates vl::dvec4 values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorDVec4:

List of all members.

## Public Member Functions

| LinearInterpolatorDVec4 ()
| LinearInterpolatorDVec4 (const std::vector< vl::dvec4 > &path)
vl::dvec4 | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorDVec4_T * | interpolator ()
const LinearInterpolatorDVec4_T * | interpolator () const
void | setInterpolator (LinearInterpolatorDVec4_T *interpolator)

## Protected Attributes

vl::ref < LinearInterpolatorDVec4_T > | mInterpolator

## Detailed Description

Interpolates vl::dvec4 values using a LinearInterpolator.

## Constructor & Destructor Documentation

vl::LinearInterpolatorDVec4::LinearInterpolatorDVec4 | ( |  | ) | `[inline]`

vl::LinearInterpolatorDVec4::LinearInterpolatorDVec4 | ( | const std::vector< vl::dvec4 > & | path | ) | `[inline]`

## Member Function Documentation

vl::dvec4 vl::LinearInterpolatorDVec4::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDVec4.

LinearInterpolatorDVec4_T* vl::LinearInterpolatorDVec4::interpolator | ( |  | ) | `[inline]`

const LinearInterpolatorDVec4_T* vl::LinearInterpolatorDVec4::interpolator | ( |  | ) | const`[inline]`

void vl::LinearInterpolatorDVec4::setInterpolator | ( | LinearInterpolatorDVec4_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<LinearInterpolatorDVec4_T> vl::LinearInterpolatorDVec4::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:36 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.